#ifndef RT_GFX_EFFECT_H
#define RT_GFX_EFFECT_H

/* A effect lists the passes during which an object needs to be rendered
 * and a pipeline for each pass.
 * The effect also defines the required vertex layout per pass.
 */

#include "gfx.h"
#include "runtime/resources.h"

typedef struct {
    /* Id of the render pass during which this effect pass is run. */
    rt_render_pass_id pass_id;

    rt_resource_id vertex_shader;
    rt_resource_id fragment_shader;
    rt_resource_id compute_shader;
} rt_effect_pass_info;

typedef struct {
    
} rt_effect_info;

#endif
